// communications

#include <SoftwareSerial.h>
SoftwareSerial mySerial(1, 0); // RX, TX

// definitions for the distance sensor

// defines pins numbers
const int trigPin = 6;    // MOSI - ISP Pin2
const int echoPin = 5;    // MISO - ISP Pin4
const int flashPin = 7;

// defines variables
long duration;
int distance;

// subroutines

void commandLeg(String commandString) {
    mySerial.println(commandString);
//    digitalWrite(flashPin,HIGH);
    delay(300);
//    digitalWrite(flashPin,LOW);
//    delay(50);
}


int readSensor() {
  // Clears the trigPin
  digitalWrite(trigPin, LOW);
  delayMicroseconds(2);
  // Sets the trigPin on HIGH state for 10 micro seconds
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);
  // Reads the echoPin, returns the sound wave travel time in microseconds
  duration = pulseIn(echoPin, HIGH);
  // Calculating the distance
  distance= duration*0.034/2;
  // Prints the distance on the Serial Monitor
  if (distance < 10) {
    digitalWrite(flashPin,HIGH);
    return 1;
  } else {
    digitalWrite(flashPin,LOW);
    return 0;
  } 
}

void setup() {
  // set the data rate for the SoftwareSerial port
  mySerial.begin(1200);
  pinMode(flashPin,OUTPUT);
  pinMode(echoPin,INPUT);
  pinMode(trigPin,OUTPUT);
}

void loop() { // run over and over

  int obstacle = readSensor();
//  int obstacle = 0;
   
  int leg=0;
  String commandString;

    commandString = "N7 heave 110";
    commandLeg(commandString);

    delay(1000);
    
    if (obstacle==0) {
      commandString = "N7 sweep 80";
      commandLeg(commandString);
      delay(1000);
    }

    
for (int i=1;i<7;i++){
    commandString = 'N' + String(i) + " heave 160";
    commandLeg(commandString);
    delay(100);
    if (obstacle==0) {
      commandString = 'N' + String(i) + " sweep 100";
      commandLeg(commandString);
      delay(100);
    }
    commandString = 'N' + String(i) + " heave 120";
    commandLeg(commandString);
    delay(100);
    }

}

